com.genesyslab.wfm8.API.service.config800

## Class CfgReport

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config800.CfgReport

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgReport
      extends java.lang.Object
      implements java.io.Serializable

  Represents an instance of auto-generated report
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` A timestamp value -- marks the point in time when Object information was obtained
    `protected java.lang.String` | `wmLocation` Relative location of report file
    `protected java.lang.String` | `wmMessage` A message related to report status
    `protected int` | `wmReportId` A unique report ID
    `protected int` | `wmReportTaskId` Identifies `CfgReportTask` that report was built for
    `protected int` | `wmStatus` Report Status `ECfgReportStatus`
    `protected double` | `wmTimestamp` Report timestamp (in GMT/UTC time zone) `OleDateTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgReport()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `java.lang.String` | `getWmLocation()` Gets the value of the wmLocation property.
    `java.lang.String` | `getWmMessage()` Gets the value of the wmMessage property.
    `int` | `getWmReportId()` Gets the value of the wmReportId property.
    `int` | `getWmReportTaskId()` Gets the value of the wmReportTaskId property.
    `int` | `getWmStatus()` Gets the value of the wmStatus property.
    `double` | `getWmTimestamp()` Gets the value of the wmTimestamp property.
    `int` | `hashCode()`
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmLocation(java.lang.String value)` Sets the value of the wmLocation property.
    `void` | `setWmMessage(java.lang.String value)` Sets the value of the wmMessage property.
    `void` | `setWmReportId(int value)` Sets the value of the wmReportId property.
    `void` | `setWmReportTaskId(int value)` Sets the value of the wmReportTaskId property.
    `void` | `setWmStatus(int value)` Sets the value of the wmStatus property.
    `void` | `setWmTimestamp(double value)` Sets the value of the wmTimestamp property.
    `java.lang.String` | `toString()`
    `CfgReport` | `withTimestamp(long value)`
    `CfgReport` | `withWmLocation(java.lang.String value)`
    `CfgReport` | `withWmMessage(java.lang.String value)`
    `CfgReport` | `withWmReportId(int value)`
    `CfgReport` | `withWmReportTaskId(int value)`
    `CfgReport` | `withWmStatus(int value)`
    `CfgReport` | `withWmTimestamp(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmReportId

          protected int wmReportId

      A unique report ID

    - #### wmReportTaskId

          protected int wmReportTaskId

      Identifies `CfgReportTask` that report was built for

    - #### wmTimestamp

          protected double wmTimestamp

      Report timestamp (in GMT/UTC time zone) `OleDateTime`

    - #### wmStatus

          protected int wmStatus

      Report Status `ECfgReportStatus`

    - #### wmMessage

          protected java.lang.String wmMessage

      A message related to report status

    - #### wmLocation

          protected java.lang.String wmLocation

      Relative location of report file

    - #### timestamp

          protected long timestamp

      A timestamp value -- marks the point in time when Object information was obtained

  - ### Constructor Detail

    - #### CfgReport

          public CfgReport()

  - ### Method Detail

    - #### getWmReportId

          public int getWmReportId()

      Gets the value of the wmReportId property.

    - #### setWmReportId

          public void setWmReportId(int value)

      Sets the value of the wmReportId property.

    - #### getWmReportTaskId

          public int getWmReportTaskId()

      Gets the value of the wmReportTaskId property.

    - #### setWmReportTaskId

          public void setWmReportTaskId(int value)

      Sets the value of the wmReportTaskId property.

    - #### getWmTimestamp

          public double getWmTimestamp()

      Gets the value of the wmTimestamp property.

    - #### setWmTimestamp

          public void setWmTimestamp(double value)

      Sets the value of the wmTimestamp property.

    - #### getWmStatus

          public int getWmStatus()

      Gets the value of the wmStatus property.

    - #### setWmStatus

          public void setWmStatus(int value)

      Sets the value of the wmStatus property.

    - #### getWmMessage

          public java.lang.String getWmMessage()

      Gets the value of the wmMessage property.
      Returns:
        possible object is `String`

    - #### setWmMessage

          public void setWmMessage(java.lang.String value)

      Sets the value of the wmMessage property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmLocation

          public java.lang.String getWmLocation()

      Gets the value of the wmLocation property.
      Returns:
        possible object is `String`

    - #### setWmLocation

          public void setWmLocation(java.lang.String value)

      Sets the value of the wmLocation property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmReportId

          public CfgReport withWmReportId(int value)

    - #### withWmReportTaskId

          public CfgReport withWmReportTaskId(int value)

    - #### withWmTimestamp

          public CfgReport withWmTimestamp(double value)

    - #### withWmStatus

          public CfgReport withWmStatus(int value)

    - #### withWmMessage

          public CfgReport withWmMessage(java.lang.String value)

    - #### withWmLocation

          public CfgReport withWmLocation(java.lang.String value)

    - #### withTimestamp

          public CfgReport withTimestamp(long value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.